package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.AbastoBoleto;
import com.rjconsultores.ventaboletos.entidad.Aidf;
import com.rjconsultores.ventaboletos.entidad.DetAbastoBoleto;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Estacion;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import com.rjconsultores.ventaboletos.exception.BusinessException;

public interface DetAbastoBoletoService extends GenericService<DetAbastoBoleto, Integer> {

	public Long getSecuencia();

	public void desabilitaDetAbastos(Estacion origem, String numfolioinicial, String numfoliofinal, String numseriepreimpresa);
	
	public List<DetAbastoBoleto> buscabDetAbastoBoletoAutomatico(Estacion estacion, String numseriepreimpresa);
	
	public List<Object> buscabDetAbastoBoletoToVerifyIfAidfCanBeEditable(Aidf Aidf);

	public DetAbastoBoleto buscarPorAidf(Long aidfId, Integer puntoVentaId, String folioInicial, String folioFinal);

	public DetAbastoBoleto movimentaDetAbasto(DetAbastoBoleto detAbasto, AbastoBoleto abasto, String folioInicial, String folioFinal) throws BusinessException;
	
	public List<Aidf> buscarAidfsPorEmpresaAgencia(Empresa empresa, PuntoVenta origem);
}
